autoweka

## Class TrajectoryGroup

- java.lang.Object
- - autoweka.XmlSerializable
  - - autoweka.TrajectoryGroup

-     public class TrajectoryGroup
      extends XmlSerializable

  Wrapper class that provides a nice way to get at a bunch of trajectories from an experiment run with different seeds

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrajectoryGroup()`
    `TrajectoryGroup(Experiment exp)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTrajectory(Trajectory traj)`
    `static TrajectoryGroup` | `fromXML(java.io.InputStream xml)`
    `static TrajectoryGroup` | `fromXML(java.lang.String filename)`
    `Experiment` | `getExperiment()`
    `java.util.List<java.lang.String>` | `getSeeds()`
    `java.util.List<Trajectory>` | `getTrajectories()`
    `Trajectory` | `getTrajectory(java.lang.String seed)`

    - ### Methods inherited from class autoweka.XmlSerializable

      `fromXML, fromXML, populateObjectFromCMDParams, populateObjectFromCMDParams, toXML, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrajectoryGroup

          public TrajectoryGroup()

    - #### TrajectoryGroup

          public TrajectoryGroup(Experiment exp)

  - ### Method Detail

    - #### getExperiment

          public Experiment getExperiment()

    - #### addTrajectory

          public void addTrajectory(Trajectory traj)

    - #### getTrajectory

          public Trajectory getTrajectory(java.lang.String seed)

    - #### getTrajectories

          public java.util.List<Trajectory> getTrajectories()

    - #### getSeeds

          public java.util.List<java.lang.String> getSeeds()

    - #### fromXML

          public static TrajectoryGroup fromXML(java.lang.String filename)

    - #### fromXML

          public static TrajectoryGroup fromXML(java.io.InputStream xml)